Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal
Interface Credentials

All Known Implementing Classes:
  DefaultCredentials

public interface Credentials

The public interface class to the Default Credentials entity. The default credentials are implemented by the PortalSignOnBean.

See Also:
  `PortalSignOnBean`, `PortalManagerBean`

Method Summary
`java.lang.String` | `getPortalName()` Gets the portal name
`java.util.Properties` | `getProperties()` Gets all of the properties associated with the credentials.
`java.lang.String` | `getProperty(java.lang.String aProperty, java.lang.String aDefaultValue)` Gets a credential property.
`java.lang.String` | `getSystemName()` Gets the system name.
`java.lang.String` | `getSystemPassword()` Gets the system password credentials attribute.
`java.lang.String` | `getSystemUserId()` Gets the system user id credentials attribute.
`java.lang.String` | `getUserId()` Gets the user id
`java.util.Enumeration` | `propertyNames()` Gets an Enumeration of property names.
`void` | `setPortalName(java.lang.String aPortalName)` Sets the portal name
`java.lang.Object` | `setProperty(java.lang.String aProperty, java.lang.String aValue)` Sets a credential property.
`void` | `setSystemName(java.lang.String aSystemName)` Sets the external system name.
`void` | `setSystemPassword(java.lang.String aPassword)` Sets the system password credentials attribute.
`void` | `setSystemUserId(java.lang.String aUserId)` Sets the system user id credentials attribute.
`void` | `setUserId(java.lang.String aUserId)` Sets the user id

Method Detail

### getUserId

    public java.lang.String getUserId()

  Gets the user id
  Returns:
    String - The user id

### setUserId

    public void setUserId(java.lang.String aUserId)

  Sets the user id
  Parameters:
    `aUserId` - The user id.

### getPortalName

    public java.lang.String getPortalName()

  Gets the portal name
  Returns:
    String - The portal name

### setPortalName

    public void setPortalName(java.lang.String aPortalName)

  Sets the portal name
  Parameters:
    `aPortalName` - The portal name.

### getSystemName

    public java.lang.String getSystemName()

  Gets the system name. The system name is either the portal name or an unique external system name or id. The system name attribute allows a mapping between this portal user and their credential on an external system.
  Returns:
    String - The system name.

### setSystemName

    public void setSystemName(java.lang.String aSystemName)

  Sets the external system name. The system name is either the portal name or an unique external system name or id. The system name attribute allows a mapping between this portal user and their credential on an external system.
  Parameters:
    `The` - system name.

### getSystemUserId

    public java.lang.String getSystemUserId()

  Gets the system user id credentials attribute. For the portal, this value is the same as the user id value. For external systems, this value is the user id for the external system.
  Returns:
    String - The system user id attribute.

### setSystemUserId

    public void setSystemUserId(java.lang.String aUserId)

  Sets the system user id credentials attribute. For the portal, this value is the same as the user id value. For external systems, this value is the user id for the external system.
  Parameters:
    `String` - - The system user id attribute.

### getSystemPassword

    public java.lang.String getSystemPassword()

  Gets the system password credentials attribute. This is either the password for the portal or for an external system.
  Returns:
    String - The system password attribute.

### setSystemPassword

    public void setSystemPassword(java.lang.String aPassword)

  Sets the system password credentials attribute. This is either the password for the portal or for an external system.
  Parameters:
    `The` - system password attribute.

### getProperties

    public java.util.Properties getProperties()

  Gets all of the properties associated with the credentials. The Default Credentials implementation provided by the Portal Framework do not include any properties. You can override this behavior and re-deploy the PortalSignOnBean.
  Returns:
    Properties The properties for the credentials.
  See Also:
    `PortalSignOnBean`, `PortalManagerBean`

### setProperty

    public java.lang.Object setProperty(java.lang.String aProperty,
                                        java.lang.String aValue)

  Sets a credential property. The Default Credentials implementation provided by the Portal Framework does not support credentials properties. You can override this behavior and re-deploy the PortalSignOnBean.
  Returns:
    Object The properties for the credentials.
  See Also:
    `PortalSignOnBean`, `PortalManagerBean`

### getProperty

    public java.lang.String getProperty(java.lang.String aProperty,
                                        java.lang.String aDefaultValue)

  Gets a credential property. The Default Credentials implementation provided by the Portal Framework does not support credentials properties. You can override this behavior and re-deploy the PortalSignOnBean.
  Parameters:
    `aProperty` - The credentials property name (key).
    `aDefaultValue` - The credentials property value.
  Returns:
    String The value in this property list with the specified key value.
  See Also:
    `PortalSignOnBean`, `PortalManagerBean`

### propertyNames

    public java.util.Enumeration propertyNames()

  Gets an Enumeration of property names. The Default Credentials implementation provided by the Portal Framework does not support credentials properties. You can override this behavior and re-deploy the PortalSignOnBean.
  Returns:
    Enumeration An enumeration of property names.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved